WoyraDocs
Get an API key

Choose to pay in birr or in US dollars

PUT/v1/billing/payment_currency

Billing · Requires an API key

Body

FieldTypeDescription
currencyrequiredstring
One of ETB, USD.

Example

curl -X PUT https://api.woyra.io/v1/billing/payment_currency \
  -H "Authorization: Bearer $WOYRA_KEY" \
  -H 'Content-Type: application/json' \
  -d '{
    "currency": "ETB"
  }'

Response

200 The updated payment options.

FieldTypeDescription
objectrequired"payment_options"
currencyrequiredstringHow the account currently chooses to pay.
One of ETB, USD.
currenciesrequiredarray of string
bankobjectPresent for accounts that may pay in birr.
bank.enabledboolean
bank.bank_namestring
bank.account_namestring
bank.account_numberstring
bank.etb_per_usd_microsinteger
bank.minimum_amount_microsinteger
bank.maximum_amount_microsinteger

Errors

StatusCodes
400invalid_request, unsupported_version

Also in Billing